# Generated by Django 4.1.1 on 2022-09-21 00:58

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import students.format_records
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("groups", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Students",
            fields=[
                (
                    "uuid",
                    models.UUIDField(
                        db_index=True,
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                        unique=True,
                    ),
                ),
                (
                    "first_name",
                    models.CharField(
                        default="",
                        max_length=100,
                        null=True,
                        validators=[
                            django.core.validators.MinLengthValidator(2),
                            students.format_records.first_name_validator,
                        ],
                    ),
                ),
                (
                    "last_name",
                    models.CharField(
                        default="",
                        max_length=100,
                        null=True,
                        validators=[django.core.validators.MinLengthValidator(2)],
                    ),
                ),
                (
                    "email",
                    models.EmailField(default="uncnown@unknown.com", max_length=100),
                ),
                (
                    "birth_date",
                    models.DateField(default=django.utils.timezone.now, null=True),
                ),
                (
                    "grade",
                    models.PositiveSmallIntegerField(
                        default=0,
                        null=True,
                        validators=[
                            django.core.validators.MaxValueValidator(100),
                            django.core.validators.MinValueValidator(0),
                        ],
                    ),
                ),
                (
                    "avatar",
                    models.ImageField(
                        default="../media/ava.png",
                        upload_to="images",
                        validators=[django.core.validators.FileExtensionValidator(["png", "jpeg", "gif"])],
                    ),
                ),
                (
                    "resume",
                    models.FileField(
                        blank=True,
                        upload_to="files",
                        validators=[django.core.validators.FileExtensionValidator(["pdf", "docx"])],
                    ),
                ),
                (
                    "group",
                    models.ForeignKey(
                        blank=True,
                        default=None,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="students",
                        to="groups.groups",
                    ),
                ),
            ],
        ),
    ]
